summaryrefslogtreecommitdiffstats
path: root/desktop/elementary-xfce
diff options
context:
space:
mode:
author Niki Kovacs <info@microlinux.fr>2015-02-07 06:15:51 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-02-07 06:15:51 +0700
commitb35e7fc4becc290f141354e09870dfb480260a9a (patch)
tree45548b5ffc1ecab54dc837de3141cb900ba189cb /desktop/elementary-xfce
parent792c04319016b5c40005bf4e7471c90133c05722 (diff)
downloadslackbuilds-b35e7fc4becc290f141354e09870dfb480260a9a.tar.gz
slackbuilds-b35e7fc4becc290f141354e09870dfb480260a9a.tar.xz
desktop/elementary-xfce: Added (icon theme).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop/elementary-xfce')
-rw-r--r--desktop/elementary-xfce/README4
-rw-r--r--desktop/elementary-xfce/elementary-xfce.SlackBuild69
-rw-r--r--desktop/elementary-xfce/elementary-xfce.info10
-rw-r--r--desktop/elementary-xfce/slack-desc19
4 files changed, 102 insertions, 0 deletions
diff --git a/desktop/elementary-xfce/README b/desktop/elementary-xfce/README
new file mode 100644
index 0000000000..44f670a08f
--- /dev/null
+++ b/desktop/elementary-xfce/README
@@ -0,0 +1,4 @@
+Elementary-Xfce is an icon theme maintained with Xfce in mind, but it supports
+other desktops as well. It's a fork of the upstream Elementary project, which
+took place because the team decided to drop a lot of desktop-specific symlinks.
+This icon theme is supposed to keep everything working.
diff --git a/desktop/elementary-xfce/elementary-xfce.SlackBuild b/desktop/elementary-xfce/elementary-xfce.SlackBuild
new file mode 100644
index 0000000000..b6d7c9db30
--- /dev/null
+++ b/desktop/elementary-xfce/elementary-xfce.SlackBuild
@@ -0,0 +1,69 @@
+#!/bin/sh
+
+# Slackware build script for elementary-xfce
+
+# Written by Niki Kovacs <info@microlinux.fr>
+#
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=elementary-xfce
+VERSION=${VERSION:-0.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/v$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/share/icons
+
+cp -a elementary-xfce \
+ elementary-xfce-dark \
+ elementary-xfce-darker \
+ elementary-xfce-darkest \
+ $PKG/usr/share/icons/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README elementary-xfce/{AUTHORS,CONTRIBUTORS,LICENSE} $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/elementary-xfce/elementary-xfce.info b/desktop/elementary-xfce/elementary-xfce.info
new file mode 100644
index 0000000000..0ca96432ca
--- /dev/null
+++ b/desktop/elementary-xfce/elementary-xfce.info
@@ -0,0 +1,10 @@
+PRGNAM="elementary-xfce"
+VERSION="0.5"
+HOMEPAGE="http://github.com/shimmerproject/elementary-xfce"
+DOWNLOAD="https://github.com/shimmerproject/elementary-xfce/archive/v0.5.tar.gz"
+MD5SUM="2f7e4642d573415ded53181c6555ce0b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Niki Kovacs"
+EMAIL="info@microlinux.fr"
diff --git a/desktop/elementary-xfce/slack-desc b/desktop/elementary-xfce/slack-desc
new file mode 100644
index 0000000000..db83aff9e7
--- /dev/null
+++ b/desktop/elementary-xfce/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+elementary-xfce: elementary-xfce (icon theme)
+elementary-xfce:
+elementary-xfce: Elementary-Xfce is an icon theme maintained with Xfce in mind, but it
+elementary-xfce: supports other desktops as well. It's a fork of the upstream
+elementary-xfce: Elementary project, which took place because the team decided to drop
+elementary-xfce: a lot of desktop-specific symlinks. This icon theme is supposed to
+elementary-xfce: keep everything working.
+elementary-xfce:
+elementary-xfce:
+elementary-xfce:
+elementary-xfce: Project page: https://github.com/shimmerproject/elementary-xfce